<template>
  <div v-if="isFilterVisible" class="shrink-0 w-full md:w-[190px] mt-5">
    <div class="text-[24px] mb-5">Men's Shoes</div>
    <a
      v-for="(menu, idx) in sidebarMenu"
      :key="idx"
      href="#"
      class="inline md:block text-[14px] mr-4 md:mr-0 mb-2 hover:text-gray-500"
    >
      {{ menu }}
    </a>
  </div>
</template>

<script>
import EventBus from '~/helpers/eventBus';

export default {
  name: "SidebarMenu",
  data() {
    return {
      sidebarMenu: [
        'Lifestyle',
        'Running',
        'Basketball',
        'Football',
        'Training & Gym',
        'Skateboarding',
        'Baseball',
        'Golf',
        'Tennis'
      ],
      isFilterVisible: true,
    }
  },
  created() {
    EventBus.$on('toggle-filter', this.toggleFilterVisibility);
  },
  methods: {
    toggleFilter() {
      EventBus.$emit('toggle-filter');
    },
    toggleFilterVisibility() {
      this.isFilterVisible = !this.isFilterVisible;
    },
  },
  beforeDestroy() {
    EventBus.$off('toggle-filter', this.toggleFilterVisibility);
  },
}
</script>
